## python-mne 1.8.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -nWT --keep-going
SPHINXBUILD   = sphinx-build
MPROF         = SG_STAMP_STARTS=true mprof run -E --python sphinx

# Internal variables.
ALLSPHINXOPTS   = -d _build/doctrees $(SPHINXOPTS) .

.PHONY: help clean html html-noplot html-pattern linkcheck linkcheck-grep doctest

# make with no arguments will build the first target by default, i.e., build standalone HTML files
first_target: html-noplot

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html             to make standalone HTML files"
	@echo "  html-memory      to make standalone HTML files while monitoring memory usage"
	@echo "  html-pattern     to make standalone HTML files for a specific filename pattern"
	@echo "  html-front       to make standalone HTML files with only the frontpage examples"
	@echo "  html-noplot      to make standalone HTML files without plotting"
	@echo "  clean            to clean HTML files"
	@echo "  linkcheck        to check all external links for integrity"
	@echo "  linkcheck-grep   to grep the linkcheck result"
	@echo "  doctest          to run all doctests embedded in the documentation (if enabled)"
	@echo "  view             to view the built HTML"

clean:
	-rm -rf _build sg_execution_times.rst auto_examples auto_tutorials generated *.stc *.fif *.nii.gz

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-memory:
	$(MPROF) -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-pattern:
	$(SPHINXBUILD) -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -D sphinx_gallery_conf.run_stale_examples=True -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html"

html-pattern-memory:
	$(MPROF) -D sphinx_gallery_conf.filename_pattern=$(PATTERN) -D sphinx_gallery_conf.run_stale_examples=True -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html"

html-noplot:
	$(SPHINXBUILD) -D plot_gallery=0 -b html $(ALLSPHINXOPTS) _build/html
	@echo
	@echo "Build finished. The HTML pages are in _build/html."

html-front:
	@PATTERN="\(30_mne_dspm_loreta.py\|50_decoding.py\|30_strf.py\|20_cluster_1samp_spatiotemporal.py\|20_visualize_evoked.py\)" make html-pattern

# Aliases for old methods
html_dev-pattern-memory: html-pattern-memory
html_dev-pattern: html-pattern
html_dev-noplot: html-noplot
html_dev-front: html-front

linkcheck:
	@$(SPHINXBUILD) -b linkcheck -D nitpicky=0 -q -D plot_gallery=0 -D exclude_patterns="cited.rst,whats_new.rst,configure_git.rst,_includes,changes/devel" -d _build/doctrees . _build/linkcheck

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) _build/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in _build/doctest/output.txt."

view:
	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/sg_execution_times.html')"

show: view

=== debian/changelog ===
python-mne (1.8.0-1) unstable; urgency=medium

  * New upstream version 1.8.0
  * d/control: enable pytest qtbot fixture.

 -- Étienne Mollier <emollier@debian.org>  Fri, 23 Aug 2024 09:46:18 +0200

=== debian/control ===
Source: python-mne
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Yaroslav Halchenko <debian@onerussian.com>,
           Michael Hanke <michael.hanke@gmail.com>,
           Étienne Mollier <emollier@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-sequence-python3,
               pybuild-plugin-pyproject,
               libgl1-mesa-dri,
               libjs-jquery,
               libjs-jquery-ui,
               python3-vtk9,
               python3-all,
               python3-coverage,
               python3-hatchling,
               python3-hatch-vcs,
               python3-joblib,
               python3-lazy-loader,
               python3-matplotlib,
               python3-nibabel,
               python3-numpy,
               python3-pooch <!nocheck>,
               python3-pyqt6 <!nocheck>,
               python3-pytest,
               python3-pytestqt <!nocheck>,
               python3-pytest-cov,
               python3-pytest-timeout <!nocheck>,
               python3-scipy,
               python3-setuptools,
               python3-sklearn,
               python3-tqdm <!nocheck>,
               python3-tk,
               python3-sphinx,
               xauth,
               xvfb,
               yui-compressor
Standards-Version: 4.7.0
Vcs-Browser: https://salsa.debian.org/med-team/python-mne
Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
Homepage: https://martinos.org/mne
Rules-Requires-Root: no

Package: python3-mne
Architecture: all
Depends: help2man,
         libgl1-mesa-dri,
         libjs-bootstrap,
         libjs-d3,
         libjs-jquery,
         libjs-jquery-ui,
         python3-joblib,
         python3-matplotlib,
         python3-numpy,
         python3-scipy,
         python3-sklearn,
         xauth,
         xvfb,
         ${misc:Depends},
         ${python3:Depends}
Recommends: python3-vtk9,
            python3-nibabel,
            python3-pytest
Suggests: mayavi2,
          ipython,
          python3-dap,
          python3-pycuda
Breaks: python-mne
Provides: ${python3:Provides}
Replaces: python-mne
Description: Python modules for MEG and EEG data analysis
 This package is designed for sensor- and source-space analysis of MEG
 and EEG data, including frequency-domain and time-frequency analyses
 and non-parametric statistics.

## python-mne 1.9.0

=== Makefile ===
# simple makefile to simplify repetitive build env management tasks under posix

PYTHON ?= python
PYTESTS ?= py.test
CODESPELL_SKIPS ?= "doc/_build,doc/auto_*,*.fif,*.eve,*.gz,*.tgz,*.zip,*.mat,*.stc,*.label,*.w,*.bz2,*.annot,*.sulc,*.log,*.local-copy,*.orig_avg,*.inflated_avg,*.gii,*.pyc,*.doctree,*.pickle,*.inv,*.png,*.edf,*.touch,*.thickness,*.nofix,*.volume,*.defect_borders,*.mgh,lh.*,rh.*,COR-*,FreeSurferColorLUT.txt,*.examples,.xdebug_mris_calc,bad.segments,BadChannels,*.hist,empty_file,*.orig,*.js,*.map,*.ipynb,searchindex.dat,install_mne_c.rst,plot_*.rst,*.rst.txt,c_EULA.rst*,*.html,gdf_encodes.txt,*.svg,references.bib,*.css,*.edf,*.bdf,*.vhdr"
CODESPELL_DIRS ?= mne/ doc/ tutorials/ examples/
all: clean test-doc

clean-pyc:
	find . -name "*.pyc" | xargs rm -f

clean-so:
	find . -name "*.so" | xargs rm -f
	find . -name "*.pyd" | xargs rm -f

clean-build:
	rm -rf build dist

clean-ctags:
	rm -f tags

clean-cache:
	find . -name "__pycache__" | xargs rm -rf

clean: clean-build clean-pyc clean-so clean-ctags clean-cache

wheel:
	$(PYTHON) -m build -w

sample_data:
	@python -c "import mne; mne.datasets.sample.data_path(verbose=True);"

testing_data:
	@python -c "import mne; mne.datasets.testing.data_path(verbose=True);"

test-no-network: in
	sudo unshare -n -- sh -c 'MNE_SKIP_NETWORK_TESTS=1 py.test mne'

test-no-testing-data: in
	@MNE_SKIP_TESTING_DATASET_TESTS=true \
	$(PYTESTS) mne

test-doc: sample_data testing_data
	$(PYTESTS) --doctest-modules --doctest-ignore-import-errors --doctest-glob='*.rst' ./doc/ --ignore=./doc/auto_examples --ignore=./doc/auto_tutorials --ignore=./doc/_build --ignore=./doc/conf.py --ignore=doc/sphinxext --fulltrace

pre-commit:
	@pre-commit run -a

# Aliases for stuff we used to support or users might think of
ruff: pre-commit
flake: pre-commit
pep: pre-commit

codespell:  # running manually
	@codespell --builtin clear,rare,informal,names,usage -w -i 3 -q 3 -S $(CODESPELL_SKIPS) --ignore-words=ignore_words.txt --uri-ignore-words-list=bu $(CODESPELL_DIRS)

check-readme: clean wheel
	twine check dist/*

nesting:
	@echo "Running import nesting tests"
	@$(PYTESTS) mne/tests/test_import_nesting.py

=== doc/Makefile ===
--- 
+++ 
@@ -76,3 +76,6 @@
 	@python -c "import webbrowser; webbrowser.open_new_tab('file://$(PWD)/_build/html/sg_execution_times.html')"
 
 show: view
+
+serve:
+	python -m http.server -d _build/html

=== tools/dev/Makefile ===
.PHONY:

dev-activity: check_steering_committee.py
	python check_steering_committee.py

unacknowledged-bug-reports: unacknowledged-issues.jq bug-reports-12-to-2-months-old.json
	@echo "MUST acknowledge bug reports (OpenSSF criterion: 50%)"
	@jq -f unacknowledged-issues.jq bug-reports-12-to-2-months-old.json

unacknowledged-feature-requests: unacknowledged-issues.jq feature-requests-12-to-2-months-old.json
	@echo "SHOULD acknowledge feature requests (OpenSSF criterion: 50%)"
	@jq -f unacknowledged-issues.jq feature-requests-12-to-2-months-old.json

bug-reports-12-to-2-months-old.json:
	@echo "Querying GitHub REST API..."
	@gh issue list \
	-l bug \
	--json state,number,title,createdAt,comments > bug-reports-12-to-2-months-old.json

feature-requests-12-to-2-months-old.json:
	@echo "Querying GitHub REST API..."
	@gh issue list \
	-l enh \
	--json state,number,title,createdAt,comments > feature-requests-12-to-2-months-old.json

clean:
	@rm bug-reports-12-to-2-months-old.json || true

=== debian/changelog ===
python-mne (1.9.0-2) unstable; urgency=medium

  * d/rules: skip test_spherical_conversions and test_tps. (Closes: #1100273)
  * d/control: declare compliance to standards version 4.7.2.

 -- Étienne Mollier <emollier@debian.org>  Sun, 06 Apr 2025 17:54:14 +0200

python-mne (1.9.0-1) unstable; urgency=medium

  * New upstream version 1.9.0  (Closes: #1093353)
  * d/control: bump to libjs-bootstrap5 as it seems expected upstream.
    (Closes: #1088495)
  * d/salsa-ci.yml: disable test on i386.

 -- Étienne Mollier <emollier@debian.org>  Mon, 17 Feb 2025 08:15:50 +0100

=== debian/control ===
--- 
+++ 
@@ -37,7 +37,7 @@
                xauth,
                xvfb,
                yui-compressor
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/med-team/python-mne
 Vcs-Git: https://salsa.debian.org/med-team/python-mne.git
 Homepage: https://martinos.org/mne
@@ -47,7 +47,7 @@
 Architecture: all
 Depends: help2man,
          libgl1-mesa-dri,
-         libjs-bootstrap,
+         libjs-bootstrap5,
          libjs-d3,
          libjs-jquery,
          libjs-jquery-ui,

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
export PYBUILD_NAME = mne
# The below environment variables are important test parameters.
export HOME = $(CURDIR)/build
export MNE_DONTWRITE_HOME = true
export MNE_SKIP_SAMPLE_DATASET_TESTS = true
export MNE_FORCE_SERIAL = true
export MNE_SKIP_NETWORK_TESTS = 1
# to avoid cannot set toolkit to qt4 because it has already been set to wx
export ETS_TOOLKIT = qt4

%:
	dh $@ --buildsystem pybuild

execute_before_dh_clean:
	rm -rf *.egg-info

# FIXME: reinstate these tests with resolution of [1].
# [1]: https://github.com/mne-tools/mne-python/issues/13193
PYTEST_SPECS = -k 'not test_spherical_conversions and not test_tps'
SCREEN_CONFIG=-screen 0 1024x768x24 -ac +extension GLX +render -noreset
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	mkdir -p build
	xvfb-run \
		--auto-servernum \
		--server-num=20 \
		-s "$(SCREEN_CONFIG)" \
		py.test $(PYTEST_SPECS) -s -v mne
endif

execute_after_dh_fixperms:
	find `find debian -name data -type d` -type f -exec chmod -x \{\} \;
